Foreman - Bug #31348

Intermediate script is broken due to URL encoded parameters
11/20/2020 06:37 AM - Lukas Zapletal

Status: Closed
Priority: High
Assignee: Lukas Zapletal
Category: Templates
Target version: 2.3.0
Difficulty: easy Fixed in Releases: 2.3.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8143
Description

We made a change to cleanup iPXE template code by using <%= foreman_url('iPXE', mac: "${net#{i}/mac}") %> which is cleaner but
it has one major issue, it renders to URL encoded string:
http://foreman.some.host.fqdn/unattended/iPXE?mac=%24%7Bnet0%2Fmac%7D while this should be
http://foreman.some.host.fqdn/unattended/iPXE ?mac=${net0/mac}

This breaks iPXE workflow completely.

Associated revisions

Revision 174¢7354 - 11/26/2020 12:41 PM - Lukas Zapletal

Fixes #31348 - raw params in foreman_url support

History

#1 - 11/20/2020 07:39 AM - Lukas Zapletal
- Target version set to 2.3.0

- Triaged changed from No to Yes

Requesting 2.3, this is a regression we introduced which completely breaks iPXE provisioning without tokens.

#2 - 11/20/2020 07:40 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/8143 added

#3 - 11/26/2020 12:41 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#4 - 11/26/2020 12:49 PM - Tomer Brisker
- Fixed in Releases 2.3.0 added
- Fixed in Releases deleted (2.4.0)

#5 - 11/26/2020 01:01 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|174c73545fcc4a5d44a695¢6904{65¢c9070cf8f1.

#6 - 12/01/2020 11:34 AM - Tomer Brisker

- Category set to Templates

05/19/2024 1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/174c73545fcc4a5d44a695c6904f65c9070cf8f1
http://www.tcpdf.org

